/* */
.modalDiv { width: 320px; background: #fff; }
.modalDiv span.title { display: block;font-size: 2rem;color: #333;line-height: 3rem;text-align: center;}
    
    
.modalDiv form { width:100%}
.form-field-container { position: relative; }

.inputFocus {position: absolute;display: block;width: 100%;height: 100%;top: 0;left: 0;pointer-events: none;}
.form-field-container input,.form-field-container textarea, .textInput{
    font-size: 2rem;color: #555;line-height: 3.2rem;display: block;
    width: 31rem;height: 3.2rem;background: 0 0;padding: 0 0.5rem;
    outline: none;border: 1px solid #ddd; border-radius:0.5rem;margin-top:2.5rem}

.inputFocus::before {
    content: "";
    display: block;
    position: absolute;
    bottom: -2px;
    left: 0;
    width: 0;
    height: 2px;
    -webkit-transition: all .4s;
    -o-transition: all .4s;
    -moz-transition: all .4s;
    transition: all .4s;
    background: #57b846;
}
.inputFocus::after {
    font-size: 2rem;
    color: #999;
    line-height: 3.2rem;
    content: attr(data-placeholder);
    display: block;
    width: 100%;
    position: absolute;
    top: 2px;
    left: 0;
    padding-left: 1rem;
    -webkit-transition: all .4s;
    -o-transition: all .4s;
    -moz-transition: all .4s;
    transition: all .4s;
}
.form-field-container input:focus+.inputFocus::after,.form-field-container textarea:focus+.inputFocus::after { top:-2.5rem; font-size:1.5rem;}
.form-field-container input:focus+.inputFocus::before,.form-field-container textarea:focus+.inputFocus::before { width:100% }

.form-field-container input.has-val+.inputFocus::after,.form-field-container textarea.has-val+.inputFocus::after{ top:-2.5rem; font-size:1.5rem; }
.form-field-container input.has-val+.inputFocus::before,.form-field-container textarea.has-val+.inputFocus::before{ width:100% }

.submit-container {width:100%;text-align:center; margin-top:2rem}

.a-button {
    width:100%;
    font-size: 1.4rem;
    line-height: 3rem;
}

.alert-validate::before {
    content: attr(data-validate);
    position: absolute;
    max-width: 70%;
    background-color: #fff;
    border: 0.1rem solid #c80000;
    border-radius: 2px;
    padding: 4px 25px 4px 10px;
    top: 50%;
    -webkit-transform: translateY(-50%);
    -moz-transform: translateY(-50%);
    -ms-transform: translateY(-50%);
    -o-transform: translateY(-50%);
    transform: translateY(-50%);
    right: 0px;
    pointer-events: none;
    color: #c80000;
    font-size: 13px;
    line-height: 1.4;
    text-align: left;
    visibility: hidden;
    opacity: 0;
    -webkit-transition: opacity 0.4s;
    -o-transition: opacity 0.4s;
    -moz-transition: opacity 0.4s;
    transition: opacity 0.4s;
}
.alert-validate::after {
    content: "Q";/* "&#x51;";*/
    font-family: 'ElegantIcons';
    font-size: 16px;
    color: #c80000;
    display: block;
    position: absolute;
    background-color: #fff;
    top: 50%;
    -webkit-transform: translateY(-50%);
    -moz-transform: translateY(-50%);
    -ms-transform: translateY(-50%);
    -o-transform: translateY(-50%);
    transform: translateY(-50%);
    right: 5px;
}
.alert-validate:hover:before { visibility:visible;
                               opacity:1 }
@media(max-width:992px) { .alert-validate::before { visibility:visible;
                                                    opacity:1 }
}




.postFormBlock { padding-top: 3rem;font-size: 1.5rem;text-align: center;}
.message-container {display:none;}
.error {
    color: #FFF;
    font-size: 1.8rem;
    padding: 0.5rem 0.5rem 0.5rem 5rem;
    border: 1px solid red;
    margin-top: 2rem;
    text-align: center;
    background-color: #c80000;
    border-radius: 1.5rem;
    position: relative;
    min-height: 4.8rem;
    line-height: 2.4rem;
}
.error ul li{
    text-align: left;
    font-size: 1.4rem;
    list-style: inside;
}
.error::after {
    content: "Q";/* "&#x51;";*/
    font-family: 'ElegantIcons';
    font-size: 3rem;
    color: #fff;
    display: block;
    position: absolute;
    top: 2.6rem;
    -webkit-transform: translateY(-50%);
    -moz-transform: translateY(-50%);
    -ms-transform: translateY(-50%);
    -o-transform: translateY(-50%);
    transform: translateY(-50%);
    left: 1.2rem;    
}
.success {
    color: #FFF;
    font-size: 1.8rem;
    padding: 0.5rem 0.5rem 0.5rem 5rem;
    border: 1px solid red;
    margin-top: 2rem;
    text-align: center;
    background-color: #00c800;
    border-radius: 1.5rem;
    position: relative;
    height: 4.8rem;
    line-height: 2.4rem;
}
.success::after {
    content: "N";/* "&#x51;";*/
    font-family: 'ElegantIcons';
    font-size: 3rem;
    color: #fff;
    display: block;
    position: absolute;
    top: 2.6rem;
    -webkit-transform: translateY(-50%);
    -moz-transform: translateY(-50%);
    -ms-transform: translateY(-50%);
    -o-transform: translateY(-50%);
    transform: translateY(-50%);
    left: 1.2rem;    
}